Bug 126523 - satellite-sync does not fully sync x86_64 channels
satellite-sync does not fully sync x86_64 channels
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Todd Warner
Fanny Augustin
Depends On: 126580 127198
Blocks: 113026
  Show dependency treegraph
Reported: 2004-06-22 16:00 EDT by Todd Warner
Modified: 2007-07-31 10:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-23 16:51:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Todd Warner 2004-06-22 16:00:19 EDT
For example, if you...
satellite-sync -c rhel-x86_64-as-3

All packages without an arch of x86_64 are synced just fine (roughly
404 RPMs and 298 packages).

1300+ packages with the x86_64 arch are not synced.
Comment 1 Todd Warner 2004-06-22 16:14:34 EDT
Fix pending.

We changed the "name" of the arch from AMD64 to x86_64. We relied on
this in the sync code. We should rely on the "label" which is unchanging.

Oi. So... the fix is in. I am testing it. Then we have to build
packages and shove it off to QA.

Yee haa.
Comment 2 Todd Warner 2004-06-23 11:12:11 EDT
NOTE: those number really have only a remedial relationship to the
actual number of things displayed. I.e., the number displayed on the
RHN Satellite indicate all *current* packages, not all possible
package (i.e., older ones).

In the end, the number of packages for that channel on the RHN
Satellite needs to match the number of packages on the hosted site.

Which now it does... but I need to get QA to bless my fix.
Comment 3 Todd Warner 2004-06-23 11:15:26 EDT
TEST PLAN (probably takes 4 hours plus):
o install 3.2 RHN Satellite without allowing the up2date -uf to finish 
  at the end.
o ensure the new RHN Satellite packages are in the RHN Satellite 
o satellite-sync -c rhel-x86_64-as-3
o Note erronous number of packages in the channel.
o up2date -uf on the RHN Satellite
o satellite-sync
o Note corrected number of packages on the RHN Satellite for that 
Comment 4 Matt Jamison 2004-06-23 16:51:33 EDT
I bless it.

Note You need to log in before you can comment on or make changes to this bug.